---
search:
  tags:
    - Attributes
    - GET
seo:
  description: >-
    Retrieves all attributes for the current application… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/attributes/values endpoint in the Management
    API.
sidebar:
  label: List application attributes
  badge: GET
title: List application attributes
type: openapi-operation
---
Retrieves all attributes for the current application with support for pagination, filtering by template keys, searching by name, and sorting by various fields.

`GET /api/v1/{team_slug}/{app_slug}/attributes/values`

**Responses**

- `200` — A list of attributes with pagination details
- `400` — Invalid request (e.g., bad pagination parameters, invalid sort key)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "created_at": "string",
      "description": "string",
      "filterable": true,
      "id": "string",
      "key": "string",
      "name": "string",
      "template_key": "string",
      "template_name": "string",
      "translatable": true,
      "translations": {
        "description": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ],
        "name": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "updated_at": "string",
      "values": {
        "property1": {
          "field_id": "string",
          "id": "string",
          "image_id": "string",
          "image_object": {
            "alt": "string",
            "app_id": "string",
            "blurhash": "string",
            "copyright": "string",
            "custom": {
              "property1": "string",
              "property2": "string"
            },
            "folder_id": "string",
            "id": "string",
            "parent_id": "string",
            "public": true,
            "status": "string",
            "title": "string",
            "url": "string"
          },
          "translations": {
            "value": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "type": "string",
          "value": "string"
        },
        "property2": {
          "field_id": "string",
          "id": "string",
          "image_id": "string",
          "image_object": {
            "alt": "string",
            "app_id": "string",
            "blurhash": "string",
            "copyright": "string",
            "custom": {
              "property1": "string",
              "property2": "string"
            },
            "folder_id": "string",
            "id": "string",
            "parent_id": "string",
            "public": true,
            "status": "string",
            "title": "string",
            "url": "string"
          },
          "translations": {
            "value": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "type": "string",
          "value": "string"
        }
      }
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
